Package com.enonic.xp.security.acl

## Class AccessControlEntry

- java.lang.Object
- - com.enonic.xp.security.acl.AccessControlEntry

-     @PublicApi
      public final class AccessControlEntry
      extends Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `AccessControlEntry.Builder` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static AccessControlEntry.Builder` | `create()` |
    `static AccessControlEntry.Builder` | `create​(AccessControlEntry ace)` |
    `boolean` | `equals​(Object o)` |
    `Iterable<Permission>` | `getAllowedPermissions()` |
    `Iterable<Permission>` | `getDeniedPermissions()` |
    `PrincipalKey` | `getPrincipal()` |
    `int` | `hashCode()` |
    `boolean` | `isAllowed​(Permission permission)` |
    `boolean` | `isAllowed​(Permission... permissions)` |
    `boolean` | `isAllowedAll()` |
    `boolean` | `isDenied​(Permission... permissions)` |
    `boolean` | `isSet​(Permission permission)` |
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### getPrincipal

          public PrincipalKey getPrincipal()

    - #### getAllowedPermissions

          public Iterable<Permission> getAllowedPermissions()

    - #### getDeniedPermissions

          public Iterable<Permission> getDeniedPermissions()

    - #### isAllowed

          public boolean isAllowed​(Permission permission)

    - #### isAllowed

          public boolean isAllowed​(Permission... permissions)

    - #### isDenied

          public boolean isDenied​(Permission... permissions)

    - #### isSet

          public boolean isSet​(Permission permission)

    - #### isAllowedAll

          public boolean isAllowedAll()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals​(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### create

          public static AccessControlEntry.Builder create()

    - #### create

          public static AccessControlEntry.Builder create​(AccessControlEntry ace)